Vendor Types

Vendor Types are user-defined classifications used to categorize and organize vendors.

List Vendor Types

List all Vendor Types configured for your account.

🔒 Requires Vendors: List Vendor Types permission.

Securitybearer
Request
query Parameters
cursor
string

This parameter is used to paginate through results. No value is needed for the first request. If there are additional results, the response will contain a pagination.cursor value that can be used in the subsequent request to retrieve the next page of results

size
number [ 1 .. 500 ]
Default: 50

Number of results to return

sort
string (SortTypeLimitedEnum)

Which field to sort by

Enum: "createdAt" "updatedAt" "name"
sortDir
string (SortDirectionEnum)

The direction to sort the data

Enum: "ASC" "DESC"
includeTotalCount
boolean
Default: false

Include total count of all matching records in response. Only honored on first page (when cursor is null).

Example: includeTotalCount=false
Responses
200
400

Malformed data and/or validation errors

401

Invalid Authorization

403

You are not allowed to perform this action

412

You must accept the Drata terms and conditions to use the API

500

Internal server error

get/vendor-types
Request samples
Response samples
application/json
{
  • "data": [
    • {
      • "id": 1,
      • "name": "Cloud Provider"
      }
    ],
  • "pagination": {
    • "cursor": "string",
    • "totalCount": 0
    }
}

Create Vendor Type

Create a new vendor type.

🔒 Requires Vendors: Create Vendor Type permission.

Securitybearer
Request
Request Body schema: application/json
required
name
required
string <= 191 characters

The name of the Vendor Type

Responses
201

Created

400

Malformed data and/or validation errors

401

Invalid Authorization

403

You are not allowed to perform this action

409

There is a conflict in the business rules with this request

412

You must accept the Drata terms and conditions to use the API

500

Internal server error

post/vendor-types
Request samples
application/json
{
  • "name": "Cloud Provider"
}
Response samples
application/json
{
  • "id": 1,
  • "name": "Cloud Provider"
}

Update Vendor Type

Update an existing Vendor Type.

🔒 Requires Vendors: Update Vendor Type permission.

Securitybearer
Request
path Parameters
vendorTypeId
required
number
Request Body schema: application/json
required
name
required
string <= 191 characters

The name of the Vendor Type

Responses
200

Successful

400

Malformed data and/or validation errors

401

Invalid Authorization

403

You are not allowed to perform this action

404

Not Found

409

There is a conflict in the business rules with this request

412

You must accept the Drata terms and conditions to use the API

500

Internal server error

put/vendor-types/{vendorTypeId}
Request samples
application/json
{
  • "name": "Cloud Service Provider"
}
Response samples
application/json
{
  • "id": 1,
  • "name": "Cloud Provider"
}

Delete Vendor Type

Soft delete a Vendor Type.

🔒 Requires Vendors: Delete Vendor Type permission.

Securitybearer
Request
path Parameters
vendorTypeId
required
number
Responses
204

No Content

400

Malformed data and/or validation errors

401

Invalid Authorization

403

You are not allowed to perform this action

404

Not Found

412

You must accept the Drata terms and conditions to use the API

500

Internal server error

delete/vendor-types/{vendorTypeId}
Request samples
Response samples
application/json
{
  • "name": "string",
  • "statusCode": 0,
  • "message": "string",
  • "code": 0,
  • "debugInfo": {
    • "name": "string",
    • "message": "string",
    • "stack": "string"
    }
}